Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
glob_args Struct Reference

## Data Fields
void(* | func )(const char *, VALUE, void *)
const char * | path
const char * | base
size_t | baselen
VALUE | value
rb_encoding * | enc

## Detailed Description

Definition at line 1934 of file dir.c.

## Field Documentation

## ◆ base

const char* glob_args::base

Definition at line 1937 of file dir.c.

## ◆ baselen

size_t glob_args::baselen

Definition at line 1938 of file dir.c.

## ◆ enc

rb_encoding* glob_args::enc

Definition at line 1940 of file dir.c.

Referenced by rb_glob().

## ◆ func

void(* glob_args::func) (const char *, VALUE, void *)

Definition at line 1935 of file dir.c.

Referenced by rb_glob().

## ◆ path

const char* glob_args::path

Definition at line 1936 of file dir.c.

## ◆ value

VALUE glob_args::value

Definition at line 1939 of file dir.c.

Referenced by rb_glob().

The documentation for this struct was generated from the following file:

- dir.c